#
# spec file for package python-google-apputils
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
Name:           python-google-apputils
Version:        0.4.2
Release:        3.16
Summary:        Python application utilities
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://code.google.com/p/google-apputils-python
Source0:        https://pypi.python.org/packages/source/g/google-apputils/google-apputils-%{version}.tar.gz
Patch0:         apputils_stripShebang.patch
BuildRequires:  fdupes
BuildRequires:  python
BuildRequires:  python-dateutil
BuildRequires:  python-gflags
BuildRequires:  python-mox
BuildRequires:  python-pytz
BuildRequires:  python-setuptools
BuildRequires:  python-unittest2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This project is a small collection of utilities for building Python
applications. It includes some of the same set of utilities used to build
and run internal Python apps at Google.

Features:

    + Simple application startup integrated with python-gflags.
    + Subcommands for command-line applications.
    + Option to drop into pdb on uncaught exceptions.
    + Helper functions for dealing with files.
    + High-level profiling tools.
    + Timezone-aware wrappers for datetime.datetime classes.
    + Improved TestCase with many of the same methods as unittest2,
      plus helpful flags for test startup.
    + google_test setuptools command for running tests.
    + Helper module for creating application stubs.

%prep
%setup -q -n google-apputils-%{version}
%patch0 -p1

%build
python setup.py build

%check
python setup.py test

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes -s %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{python_sitelib}/*

%changelog
* Fri Feb 27 2015 mpluskal@suse.com
- Update to 0.4.2
  * no upstream changelog provided
- Use url for source
- Enable tests
* Thu Feb 13 2014 rschweikert@suse.com
- Include in SLE 12 (FATE #316168)
* Tue Aug 20 2013 rschweikert@suse.com
- Initial build
